summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-01-26 21:12:48 +1100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-02-05 15:39:10 +0100
commitf7109aafaae8ffa72f97124e21979293fbeab363 (patch)
treec36a388682cbe17fa8710a558300a10ebd4decde
parentkde5-functions.eclass: Raise Plasmas 5.9 QT_MINIMAL to 5.7.1 (diff)
downloadgentoo-f7109aafaae8ffa72f97124e21979293fbeab363.tar.gz
gentoo-f7109aafaae8ffa72f97124e21979293fbeab363.tar.bz2
gentoo-f7109aafaae8ffa72f97124e21979293fbeab363.zip
kde5-functions.eclass: raise FRAMEWORKS_MINIMAL to latest stable
-rw-r--r--eclass/kde5-functions.eclass14
1 files changed, 2 insertions, 12 deletions
diff --git a/eclass/kde5-functions.eclass b/eclass/kde5-functions.eclass
index 31597be8597..2012c53535e 100644
--- a/eclass/kde5-functions.eclass
+++ b/eclass/kde5-functions.eclass
@@ -36,21 +36,11 @@ case ${CATEGORY} in
[[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
;;
kde-plasma)
- if [[ $(get_version_component_range 2) -eq 8 && $(get_version_component_range 3) -lt 50 ]]; then
- : ${FRAMEWORKS_MINIMAL:=5.26.0} # special 5.8 LTS rule to not get overwritten below
- elif ! [[ $(get_version_component_range 2) -le 8 && $(get_version_component_range 3) -lt 50 ]]; then
+ if ! [[ $(get_version_component_range 2) -le 8 && $(get_version_component_range 3) -lt 50 ]]; then
: ${QT_MINIMAL:=5.7.1}
- : ${FRAMEWORKS_MINIMAL:=5.29.0}
fi
[[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
;;
- kde-apps)
- local vcr2=$((10#$(get_version_component_range 2)))
- if ! [[ $(get_version_component_range 1) -le 16 && ${vcr2} -lt 9 ]]; then
- : ${FRAMEWORKS_MINIMAL:=5.28.0}
- fi
- unset vcr2
- ;;
esac
# @ECLASS-VARIABLE: QT_MINIMAL
@@ -61,7 +51,7 @@ esac
# @ECLASS-VARIABLE: FRAMEWORKS_MINIMAL
# @DESCRIPTION:
# Minimal Frameworks version to require for the package.
-: ${FRAMEWORKS_MINIMAL:=5.26.0}
+: ${FRAMEWORKS_MINIMAL:=5.29.0}
# @ECLASS-VARIABLE: PLASMA_MINIMAL
# @DESCRIPTION: